import numpy as np
import sklearn.datasets as samples_generator
from sklearn import model_selection
from sklearn import metrics
import sklearn.svm as svm

parametros = { 'C': [2, 4, 6, 8, 10],
           'gamma': [0.2, 0.5, 1, 2, 5, 8.0] }


X, y = samples_generator.make_circles( n_samples=200, noise=0.1, factor=0.35, random_state=9 )
# print( X.shape )
# print( y )

# Separamos los datos de entrenamiento y de prueba
Xentrena, Xvalida, yentrena, yvalida = model_selection.train_test_split( X, y, test_size = 0.2, random_state = 20 )

busqueda_malla = model_selection.GridSearchCV( svm.SVC(), parametros, cv=5 )

# Internamente se realiza la validación cruzada
# y los datos se separan internamente en datos de
# entrenamiento y prueba
busqueda_malla.fit( Xentrena, yentrena )

# Usamos los datos de validación para
# probar el modelo
print( "Exactitud en la evaluación" )
print( busqueda_malla.score( Xvalida, yvalida ) )

print( "Mejores parámetros" )
print( busqueda_malla.best_params_ ) 

print( "Mejor exactitud de la VC" )
print( busqueda_malla.best_score_ ) 

print( "Mejor modelo" )
print( busqueda_malla.best_estimator_ ) 

# print( busqueda_malla.cv_results_ )

r = np.array( busqueda_malla.cv_results_['mean_test_score'] )
r = r.reshape( 6, 5 )
print( r )
np.savetxt("r2.txt", r )

