import numpy as np
import matplotlib.pyplot as plt

parametros = { 'C': [2, 4, 6, 8, 10],
           'gamma': [0.2, 0.5, 1, 2, 5, 8.0] }

M = np.loadtxt( "r2.txt" )

fig, ax1 = plt.subplots( )
# Los datos de entrenamiento
ax1.set_xlabel( 'C' )
ax1.set_ylabel( 'gamma' )
ax1.set_xticks(np.arange(len(parametros['C'])) )
ax1.set_yticks(np.arange(len(parametros['gamma'] )) )
ax1.set_xticklabels( parametros['C'] )
ax1.set_yticklabels( parametros['gamma'] )
ax1.imshow( M, cmap="viridis", origin='lower' )

for i in range( len(parametros['gamma']) ):
	for j in range( len(parametros['C']) ):
		if M[i, j] > 0.8 :
			ax1.text(j, i, M[i, j], ha="center", va="center", color="w")
		else :
			ax1.text(j, i, M[i, j], ha="center", va="center", color="w")

fig.tight_layout()

plt.show( )


